> For the complete documentation index, see [llms.txt](https://docs.locoia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.locoia.com/automation/flow-builder/smart-data-wrangling/text-and-string-manipulation.md).

# Text and Strings

Text manipulation and adjustments - How to work with text?

The easiest way to test your Jinja2 expressions is by using a[ Jinja2 evaluator](https://www.google.com/search?q=jinja2+live+parser) with mock data (Don't include any sensitive data in those). Note, only standard Jinja2 expressions will work here, like if, elif, upper, etc.

#### Making strings UPPER case

```python
{% set my_text = 'This will be upper case!' %}
{{ my_text | upper }}
```

Returns: THIS WILL BE UPPER CASE!

#### Making strings lower case

```python
{% set my_text = 'This will be upper case!' %}
{{ my_text | lower }}
```

Returns: this will be lower case!

#### Concatenating Strings

```python
{{ '+49', '292828834'   |   join(' ')   }} 

--> Returns a space: +49 292828834

If you just want a joint without a string, you can just write:
{{ '+49', '292828834'   |   join   }} 

--> Returns a space: +49292828834
```

Another common use-case is comma-separated concatenation:

```python
{{  'BMW', 'Mercedes', 'Audi'   |   join(', ')   }} 

--> Returns: BMW, Mercedes, Audi
```

Limiting or shortening strings to a certain number of characters:

```python
my_string = "Hello my nam is Max"

my_string[:5]
 --> Returns: Hello

my_string[:7]
 --> Returns: Hello m

FYI: my_string[:7] yields the same result as my_string[0:7]
```

To read up on string manipulation in all detail, check out: [realpython.com - String manipulation.](https://realpython.com/python-strings/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.locoia.com/automation/flow-builder/smart-data-wrangling/text-and-string-manipulation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
